apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-production
    nginx.ingress.kubernetes.io/backend-protocol: HTTP
    nginx.ingress.kubernetes.io/ssl-redirect: "true"
  labels:
    app.kubernetes.io/instance: busybox
    app.kubernetes.io/name: yolo
  name: yolo-dl
  namespace: oceanbox
spec:
  ingressClassName: nginx
  rules:
  - host: dl.yolo.oceanbox.io
    http:
      paths:
      - backend:
          service:
            name: yolo-dl
            port:
              number: 8000
        path: /
        pathType: ImplementationSpecific
  tls:
  - hosts:
    - dl.yolo.oceanbox.io
    secretName: yolo-dl-tls

